rte_comp_compress_xform(3)

NAME
rte_comp_compress_xform

SYNOPSIS

#include <rte_comp.h>

  Data Fields

enum rte_comp_algorithm algo
union {
struct rte_comp_deflate_params deflate
struct rte_comp_lz4_params lz4
};
int level
uint8_t window_size
enum rte_comp_checksum_type chksum
enum rte_comp_hash_algorithm hash_algo

Detailed Description

Setup Data for compression

Definition at line 306 of file rte_comp.h.

Field Documentation

  enum rte_comp_algorithm algo
Algorithm to use for compress operation

Definition at line 307 of file rte_comp.h.

  struct rte_comp_deflate_params deflate
Parameters specific to the deflate algorithm

Definition at line 310 of file rte_comp.h.

  struct rte_comp_lz4_params lz4
Parameters specific to the LZ4 algorithm

Definition at line 312 of file rte_comp.h.

  union { ... }
Algorithm specific parameters

  int level
Compression level

Definition at line 315 of file rte_comp.h.

  uint8_t window_size
Base two log value of sliding window to be used. If window size can't be supported by the PMD then it may fall back to a smaller size. This is likely to result in a worse compression ratio.

Definition at line 317 of file rte_comp.h.

  enum rte_comp_checksum_type chksum
Type of checksum to generate on the uncompressed data

Definition at line 322 of file rte_comp.h.

  enum rte_comp_hash_algorithm hash_algo
Hash algorithm to be used with compress operation. Hash is always done on plaintext.

Definition at line 324 of file rte_comp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.